---
title: Provisioning
url: https://docs.vultr.com/products/network/cdn-pull-zone/provisioning
description: The process of setting up and configuring a new Vultr server or service to make it ready for use.
publish_date: 2024-09-23T20:21:01.121961Z
last_updated: 2026-05-26T20:15:55.879320Z
---

# How to Provision Vultr CDN Pull Zones

Vultr CDN Pull Zones streamline content delivery by automatically fetching content from your origin server and distributing it globally across Vultr's edge network, which spans 33 locations worldwide. This setup ensures that your content is delivered quickly and reliably to users regardless of their location. Additionally, Vultr CDN Pull Zones support custom domains, allowing you to serve content under your own branded domain while leveraging the performance and scalability of the CDN.

Follow this guide to provision Vultr CDN Pull Zones on your Vultr account, set up custom domains, and optimize content delivery using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, click **CDN**, and then click **Pull Zones**.
    1. Click **Add CDN Pull Zone**.
    1. Provide a **Label** and an **Origin URL**.
    1. Optional: Enable features such as **Cross-Origin Resource Sharing (CORS)**, **Gzip**, **Block AI Bots**, and **Block Potentially Malicious Bots**.
    1. Optional: Provide a **Custom Domain** along with its Domain-validated Certificate(SSL/TLS) and Secret Key files. These files are only required if the Origin URL uses the HTTPS scheme.
    1. Click **Add CDN Pull Zone**.

=== "Vultr API"

    1. Send a `POST` request to the [**Create CDN Pull Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/create-pullzone) to create a CDN Pull Zone subscription.

        > [!NOTE]
        > When configuring a custom domain, for the `HTTPS` origin scheme, you must provide a **Domain-validated SSL/TLS certificate** and the corresponding **Private Key**. However, for `HTTP` origin scheme, these certificates are not required.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/pull-zones" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "label": "{label}",
                "origin_scheme": "{http_or_https}", 
                "origin_domain": "{origin-domain}",
                "vanity_domain": "{custom-vanity-domain}",
                "ssl_cert": {BASE64_ENCODED_SSL_CERT_CONTENT}",
                "ssl_cert_key": "{BASE64_ENCODED_SSL_KEY_CONTENT}",
                "cors": false,
                "gzip": false,
                "block_ai": false,
                "block_bad_bots": false
            }'
        ```

    1. Send a `GET` request to the [**List CDN Pull Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/list-pullzones) to list all the available Vultr CDN Pull Zone subscriptions.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/pull-zones" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. Create a CDN Pull Zone subscription.

        ```console
        $ vultr-cli cdn pull create \
            --label "<label>" \
            --scheme "<http_or_https>" \
            --domain "<origin-domain>"
        ```

        Run `vultr-cli cdn pull create --help` to view additional options for enabling features like **Cross-Origin Resource Sharing (CORS)**, **Gzip**, **Block AI Bots**, and **Block Potentially Malicious Bots**.

    1. List all available CDN Pull Zone subscriptions.

        ```console
        $ vultr-cli cdn pull list
        ```